## haruna 1.7.0

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

# DATA_ICONS is defined in data/CMakeLists.txt
ecm_add_app_icon(ICONS_SRCS ICONS ${DATA_ICONS})

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(haruna)

target_sources(haruna
    PRIVATE
    application.h application.cpp
    database.h database.cpp
    lockmanager.h lockmanager.cpp
    main.cpp
    models/actionsmodel.h models/actionsmodel.cpp
    models/chaptersmodel.h models/chaptersmodel.cpp
    models/customcommandsmodel.h models/customcommandsmodel.cpp
    models/mouseactionsmodel.h models/mouseactionsmodel.cpp
    models/recentfilesmodel.h models/recentfilesmodel.cpp
    models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
    models/tracksmodel.h models/tracksmodel.cpp
    mpv/mpvitem.h mpv/mpvitem.cpp
    mpv/mpvpreview.h mpv/mpvpreview.cpp
    mpv/mpvproperties.h
    thumbnailimageprovider.h thumbnailimageprovider.cpp
    worker.h worker.cpp
    ${ICONS_SRCS}
)

qt_add_resources(haruna sql_files
    FILES
        sql/create-recent_files-table.sql
        sql/create-playback_position-table.sql
)

if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    qt_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    target_sources(haruna
        PRIVATE
        mpris2/mediaplayer2.h mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.h mpris2/mediaplayer2player.cpp
        ${haruna_screensaver_inhibit_SRCS}
    )
    target_include_directories(haruna
        PRIVATE
            mpris2
            ${CMAKE_CURRENT_BINARY_DIR}
    )
endif()

add_subdirectory(framedecoder)
add_subdirectory(playlist)
add_subdirectory(utilities)
add_subdirectory(settings)
add_subdirectory(youtube)

qt_policy(SET QTP0001 NEW)

qt_add_qml_module(haruna
    URI org.kde.haruna
    VERSION 1.0
    QML_FILES
        qml/Actions.qml
        qml/Footer.qml
        qml/Header.qml
        qml/HProgressBar.qml
        qml/MenuBarLoader.qml
        qml/MpvVideo.qml
        qml/Osd.qml
        qml/VolumeSlider.qml
        qml/Main.qml

        qml/Haruna/Components/AudioTracksMenu.qml
        qml/Haruna/Components/ColorPickerButton.qml
        qml/Haruna/Components/HamburgerMenu.qml
        qml/Haruna/Components/ImageAdjustmentSlider.qml
        qml/Haruna/Components/InputPopup.qml
        qml/Haruna/Components/LabelWithTooltip.qml
        qml/Haruna/Components/SelectActionPopup.qml
        qml/Haruna/Components/SettingsBasePage.qml
        qml/Haruna/Components/SettingsHeader.qml
        qml/Haruna/Components/SubtitlesFolders.qml
        qml/Haruna/Components/SubtitleTracksMenu.qml
        qml/Haruna/Components/ToolTipButton.qml

        qml/Menus/AudioMenu.qml
        qml/Menus/MpvContextMenu.qml
        qml/Menus/FileMenu.qml
        qml/Menus/HelpMenu.qml
        qml/Menus/PlaybackMenu.qml
        qml/Menus/SettingsMenu.qml
        qml/Menus/SubtitlesMenu.qml
        qml/Menus/VideoMenu.qml
        qml/Menus/ViewMenu.qml
        qml/Menus/Global/GlobalAudioMenu.qml
        qml/Menus/Global/GlobalFileMenu.qml
        qml/Menus/Global/GlobalHelpMenu.qml
        qml/Menus/Global/GlobalPlaybackMenu.qml
        qml/Menus/Global/GlobalSettingsMenu.qml
        qml/Menus/Global/GlobalSubtitlesMenu.qml
        qml/Menus/Global/GlobalVideoMenu.qml
        qml/Menus/Global/GlobalViewMenu.qml

        qml/Settings/GeneralSettings.qml
        qml/Settings/PlaybackSettings.qml
        qml/Settings/VideoSettings.qml
        qml/Settings/AudioSettings.qml
        qml/Settings/SubtitlesSettings.qml
        qml/Settings/PlaylistSettings.qml
        qml/Settings/MouseSettings.qml
        qml/Settings/ShortcutsSettings.qml
        qml/Settings/CustomCommandsSettings.qml
        qml/Settings/EditCustomCommand.qml
        qml/Settings/DebugSettings.qml
        qml/Settings/SettingsWindow.qml
)

target_include_directories(haruna
    PRIVATE
        models
        mpv
        ${FFMPEG_INCLUDE_DIRS}
)

target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(haruna PRIVATE
    Qt6::Core
    Qt6::Core5Compat
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickControls2
    Qt6::Sql

    KF6::ColorScheme
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::FileMetaData
    KF6::I18n
    KF6::IconThemes
    KF6::KIOWidgets
    KF6::Kirigami
    KF6::WindowSystem
    KF6::Crash

    KDAB::kdsingleapplication

    MpvQt::MpvQt

    framedecoderplugin
    playlistplugin
    utilitiesplugin
    settingsplugin
    youtubeplugin
)

if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    target_link_libraries(haruna PRIVATE
        Qt6::DBus
    )
endif()
install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/framedecoder/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

qt_add_library(framedecoder STATIC)
qt_add_qml_module(framedecoder
    URI org.kde.haruna.framedecoder
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/framedecoder
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    SOURCES
        framedecoder.h
        framedecoder.cpp
)

target_include_directories(framedecoder
    PRIVATE
        ${FFMPEG_INCLUDE_DIRS}
)

target_link_libraries(framedecoder PRIVATE
    Qt6::Core
    Qt6::Gui

    ${AVUTIL_LIBRARIES}
    ${AVFILTER_LIBRARIES}
    ${AVFORMAT_LIBRARIES}
    ${AVCODEC_LIBRARIES}
    ${SWSCALE_LIBRARIES}
)

=== debian/changelog ===
haruna (1.7.0-1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:01:42 +0000

haruna (1.7.0-1build1) resolute; urgency=medium

  * No-change rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Dec 2025 07:30:50 +0000

haruna (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Update copyright.
  * Add newly introduced internal QML modules to debian/qmldeps.overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Dec 2025 11:24:54 +0100

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libkdsingleapplication-qt6-dev,
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6filemetadata-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libmpvqt-dev,
               pkg-kde-tools (>= 0.18.10~),
               pkgconf,
               qml6-module-org-kde-config,
               qml6-module-org-kde-kquickcontrols,
               qml6-module-org-kde-kitemmodels,
               qml6-module-qt-labs-platform,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcore,
               qml6-module-qtquick,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-shapes,
               qml6-module-qtquick-window,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://haruna.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna

Package: haruna
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: yt-dlp,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

## haruna 1.7.1

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.16...3.30)

cmake_policy(SET CMP0048 NEW)
project(haruna VERSION 1.7.1 LANGUAGES CXX)

set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")

set(QT_MIN_VERSION 6.6.0)
set(KF6_MIN_VERSION 6.0.0)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "extra cmake modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(DBUS_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)

find_package(Qt6Core ${QT_MIN_VERSION})
set_package_properties(Qt6Core PROPERTIES TYPE REQUIRED)

find_package(Qt6Core5Compat ${QT_MIN_VERSION})
set_package_properties(Qt6Core5Compat PROPERTIES TYPE REQUIRED)

find_package(Qt6Gui ${QT_MIN_VERSION})
set_package_properties(Qt6Gui PROPERTIES TYPE REQUIRED)

find_package(Qt6Qml ${QT_MIN_VERSION})
set_package_properties(Qt6Qml PROPERTIES TYPE REQUIRED)

find_package(Qt6Quick ${QT_MIN_VERSION})
set_package_properties(Qt6Quick PROPERTIES TYPE REQUIRED)

find_package(Qt6QuickControls2 ${QT_MIN_VERSION})
set_package_properties(Qt6QuickControls2 PROPERTIES TYPE REQUIRED)

find_package(Qt6Sql ${QT_MIN_VERSION})
set_package_properties(Qt6Sql PROPERTIES TYPE REQUIRED)

set(HAVE_DBUS FALSE)
if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
    find_package(Qt6DBus ${QT_MIN_VERSION})
    set_package_properties(Qt6DBus PROPERTIES TYPE REQUIRED)
    set(HAVE_DBUS TRUE)
endif ()
configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-haruna.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/src/config-haruna.h
)

find_package(MpvQt)
set_package_properties(MpvQt PROPERTIES TYPE REQUIRED
    URL "https://invent.kde.org/libraries/mpvqt")

find_package(FFmpeg)
set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
    URL "https://ffmpeg.org"
    DESCRIPTION "needed for playlist and mpris thumbnails")

find_package(Breeze)
set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
    URL "https://api.kde.org/frameworks/breeze-icons/html/index.html")

find_package(KF6ColorScheme ${KF6_MIN_VERSION})
set_package_properties(KF6ColorScheme PROPERTIES TYPE REQUIRED
    URL "https://invent.kde.org/frameworks/kcolorscheme")

find_package(KF6Config ${KF6_MIN_VERSION})
set_package_properties(KF6Config PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kconfig/html/index.html")

find_package(KF6CoreAddons ${KF6_MIN_VERSION})
set_package_properties(KF6CoreAddons PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")

find_package(KF6FileMetaData ${KF6_MIN_VERSION})
set_package_properties(KF6FileMetaData PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")

find_package(KF6I18n ${KF6_MIN_VERSION})
set_package_properties(KF6I18n PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/ki18n/html/index.html")

find_package(KF6IconThemes ${KF6_MIN_VERSION})
set_package_properties(KF6IconThemes PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kiconthemes/html/index.html")

find_package(KF6KIO ${KF6_MIN_VERSION})
set_package_properties(KF6KIO PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kio/html/index.html")

find_package(KF6Kirigami ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kirigami/html/index.html")

find_package(KF6WindowSystem ${KF6_MIN_VERSION})
set_package_properties(KF6WindowSystem PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kwindowsystem/html/index.html")

find_package(KF6Crash ${KF6_MIN_VERSION})
set_package_properties(KF6Crash PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcrash/html/index.html")

find_package(KDSingleApplication-qt6)
set_package_properties(KDSingleApplication-qt6 PROPERTIES TYPE REQUIRED
    URL "https://github.com/KDAB/KDSingleApplication"
    DESCRIPTION "helper class for single-instance policy applications")

find_package(Ytdlp)
set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
    URL "https://github.com/yt-dlp/yt-dlp"
    DESCRIPTION "needed to play videos from youtube and other online sources")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

include(ECMSetupVersion)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX HARUNA
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
)

ki18n_install(po)

add_subdirectory(data)
add_subdirectory(src)

=== src/playlist/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

qt_add_library(playlist STATIC)
qt_add_qml_module(playlist
    URI org.kde.haruna.playlist
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/playlist
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    QML_FILES
        Playlist.qml
        PlaylistItemDelegate.qml
        PlaylistItem.qml
        PlaylistItemCompact.qml
        PlaylistItemWithThumbnail.qml
        PlaylistTabDelegate.qml
        PlaylistAdvancedSortWindow.qml
        PlaylistSectionDelegate.qml
    SOURCES
        playlistmodel.h
        playlistmodel.cpp
        playlistsortproxymodel.h
        playlistsortproxymodel.cpp
        playlistproxymodel.h
        playlistproxymodel.cpp
        playlistfilterproxymodel.h
        playlistfilterproxymodel.cpp
        playlistmultiproxiesmodel.h
        playlistmultiproxiesmodel.cpp
        playlistrenamevalidator.h
        playlistrenamevalidator.cpp
        playlistmetadata.h
        playlistsortpropertymodel.h
        playlistsortpropertymodel.cpp
        playlistsortpropertyproxymodel.h
        playlistsortpropertyproxymodel.cpp
)

target_link_libraries(playlist PRIVATE
    Qt6::Core
    Qt6::Gui

    KF6::ConfigCore
    KF6::ConfigGui
    KF6::FileMetaData
    KF6::I18n
    KF6::KIOWidgets

    utilitiesplugin
    settingsplugin
    youtubeplugin
)

=== src/utilities/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2025 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

qt_add_library(utilities STATIC)
qt_add_qml_module(utilities
    URI org.kde.haruna.utilities
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/haruna/utilities
    IMPORT_PATH ${CMAKE_BINARY_DIR}
    SOURCES
        miscutils.h
        miscutils.cpp
        pathutils.h
        pathutils.cpp
        systemutils.h
        systemutils.cpp
)

target_link_libraries(utilities PRIVATE
    Qt6::Core

    KF6::ConfigCore
    KF6::KIOWidgets
    KF6::WindowSystem
)

=== debian/changelog ===
haruna (1.7.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:39:33 +0000

haruna (1.7.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 14:59:15 +0000

haruna (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Jan 2026 07:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: haruna
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -42,10 +41,10 @@
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://haruna.kde.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
 
 Package: haruna
 Architecture: any

## haruna 1.7.1+p24.04+vstable+git20260130.0811

=== debian/changelog ===
haruna (1.7.1+p24.04+vstable+git20260130.0811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:11:33 +0000

haruna (1.7.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jan 2026 00:38:36 +0000

## haruna 1.7.1+p24.04+vstable+git20260202.1036

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,21 +10,48 @@
 project(haruna VERSION 1.7.1 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
-set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")
+set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths")
 
 set(QT_MIN_VERSION 6.6.0)
-set(KF6_MIN_VERSION 6.0.0)
+set(KF6_MIN_VERSION 6.10.0)
 
 include(FeatureSummary)
 
 find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/ecm/"
-    DESCRIPTION "extra cmake modules")
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+    DESCRIPTION "Extra modules and scripts for CMake")
+
+if(ECM_FOUND)
+    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+
+    include(KDEInstallDirs)
+    include(ECMInstallIcons)
+    include(ECMAddAppIcon)
+    include(KDECMakeSettings)
+    include(KDECompilerSettings NO_POLICY_SCOPE)
+
+    include(KDEClangFormat)
+    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+    include(KDEGitCommitHooks)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+    include(ECMSetupVersion)
+    ecm_setup_version(${PROJECT_VERSION}
+        VARIABLE_PREFIX HARUNA
+        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
+    )
+endif()
 
 set(DBUS_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)
 
+# -------------------------------
+#
+# -- Qt6 dependencies
+#
+# -------------------------------
 find_package(Qt6Core ${QT_MIN_VERSION})
 set_package_properties(Qt6Core PROPERTIES TYPE REQUIRED)
 
@@ -46,6 +73,9 @@
 find_package(Qt6Sql ${QT_MIN_VERSION})
 set_package_properties(Qt6Sql PROPERTIES TYPE REQUIRED)
 
+find_package(Qt6ShaderTools ${QT_MIN_VERSION})
+set_package_properties(Qt6ShaderTools PROPERTIES TYPE REQUIRED)
+
 set(HAVE_DBUS FALSE)
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     find_package(Qt6DBus ${QT_MIN_VERSION})
@@ -57,14 +87,14 @@
    ${CMAKE_CURRENT_BINARY_DIR}/src/config-haruna.h
 )
 
+# -------------------------------
+#
+# -- KF6 dependencies
+#
+# -------------------------------
 find_package(MpvQt)
 set_package_properties(MpvQt PROPERTIES TYPE REQUIRED
     URL "https://invent.kde.org/libraries/mpvqt")
-
-find_package(FFmpeg)
-set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
-    URL "https://ffmpeg.org"
-    DESCRIPTION "needed for playlist and mpris thumbnails")
 
 find_package(Breeze)
 set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
@@ -115,6 +145,17 @@
     URL "https://github.com/KDAB/KDSingleApplication"
     DESCRIPTION "helper class for single-instance policy applications")
 
+# -------------------------------
+# -- FFmpeg
+# -------------------------------
+find_package(FFmpeg)
+set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED
+    URL "https://ffmpeg.org"
+    DESCRIPTION "needed for playlist and mpris thumbnails")
+
+# -------------------------------
+# -- Ytdlp
+# -------------------------------
 find_package(Ytdlp)
 set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
     URL "https://github.com/yt-dlp/yt-dlp"
@@ -122,25 +163,6 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-include(KDEInstallDirs)
-include(ECMInstallIcons)
-include(ECMAddAppIcon)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-
-include(KDEGitCommitHooks)
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-
-include(ECMSetupVersion)
-ecm_setup_version(${PROJECT_VERSION}
-    VARIABLE_PREFIX HARUNA
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
-)
-
 ki18n_install(po)
 
 add_subdirectory(data)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,20 @@
     FILES
         sql/create-recent_files-table.sql
         sql/create-playback_position-table.sql
+)
+
+qt_add_resources(haruna animations
+    FILES
+        ../data/animations/192-haruna-animation-sliding.png
+)
+
+qt6_add_shaders(haruna
+    URI org.kde.haruna
+    VERSION 1.0
+    PREFIX
+        "/"
+    FILES
+        shader/colorfill.frag
 )
 
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
@@ -118,6 +132,9 @@
         qml/Settings/EditCustomCommand.qml
         qml/Settings/DebugSettings.qml
         qml/Settings/SettingsWindow.qml
+
+    RESOURCES
+        ${COMPILED_SHADERS}
 )
 
 target_include_directories(haruna
@@ -136,6 +153,7 @@
     Qt6::Qml
     Qt6::Quick
     Qt6::QuickControls2
+    Qt6::ShaderTools
     Qt6::Sql
 
     KF6::ColorScheme

=== debian/changelog ===
haruna (1.7.1+p24.04+vstable+git20260202.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:36:20 +0000

## haruna 1.7.1+p24.04+vunstable+git20260202.0929

=== debian/changelog ===
haruna (1.7.1+p24.04+vunstable+git20260202.0929-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:29:06 +0000

## haruna 1.7.1+p24.04+vunstable+git20260204.0056

=== debian/changelog ===
haruna (1.7.1+p24.04+vunstable+git20260204.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:56:59 +0000
